| OpenZWave Library 1.6.0

Classes | Public Member Functions | List of all members
OpenZWave::ValueSchedule Class Reference
ValueID Support

Schedule sent to/received from a node. More...

`#include <ValueSchedule.h>`

Inheritance diagram for OpenZWave::ValueSchedule:

## Public Member Functions
| ValueSchedule (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint16 const _index, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, uint8 const _pollIntensity)
| ValueSchedule ()
virtual | ~ValueSchedule ()
bool | SetSwitchPoint (uint8 const _hours, uint8 const _minutes, int8 const _setback)
bool | RemoveSwitchPoint (uint8 const _idx)
void | ClearSwitchPoints ()
bool | GetSwitchPoint (uint8 const _idx, uint8 *o_hours, uint8 *o_minutes, int8 *o_setback) const
bool | FindSwitchPoint (uint8 const _hours, uint8 const _minutes, uint8 *o_idx) const
uint8 | GetNumSwitchPoints () const
bool | Set ()
void | OnValueRefreshed ()
virtual string const | GetAsString () const
virtual void | ReadXML (uint32 const _homeId, uint8 const _nodeId, uint8 const _commandClassId, TiXmlElement const *_valueElement)
virtual void | WriteXML (TiXmlElement *_valueElement)
Public Member Functions inherited from OpenZWave::Value
| Value (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint16 const _index, ValueID::ValueType const _type, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, bool const _isset, uint8 const _pollIntensity)
| Value ()
ValueID const & | GetID () const
bool | IsReadOnly () const
bool | IsWriteOnly () const
bool | IsSet () const
bool | IsPolled () const
string const | GetLabel () const
void | SetLabel (string const &_label, string const lang="")
string const & | GetUnits () const
void | SetUnits (string const &_units)
string const | GetHelp () const
void | SetHelp (string const &_help, string const lang="")
uint8 const & | GetPollIntensity () const
void | SetPollIntensity (uint8 const &_intensity)
int32 | GetMin () const
int32 | GetMax () const
void | SetChangeVerified (bool _verify)
bool | GetChangeVerified ()
virtual bool | SetFromString (string const &)
bool | Set ()
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Additional Inherited Members
Static Public Member Functions inherited from OpenZWave::Value
static ValueID::ValueGenre | GetGenreEnumFromName (char const *_name)
static char const * | GetGenreNameFromEnum (ValueID::ValueGenre _genre)
static ValueID::ValueType | GetTypeEnumFromName (char const *_name)
static char const * | GetTypeNameFromEnum (ValueID::ValueType _type)
Protected Member Functions inherited from OpenZWave::Value
virtual | ~Value ()
bool | IsCheckingChange () const
void | SetCheckingChange (bool _check)
void | OnValueRefreshed ()
void | OnValueChanged ()
int | VerifyRefreshedValue (void *_originalValue, void *_checkValue, void *_newValue, ValueID::ValueType _type, int _originalValueLength=0, int _checkValueLength=0, int _newValueLength=0)
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()
Protected Attributes inherited from OpenZWave::Value
int32 | m_min
int32 | m_max
time_t | m_refreshTime
bool | m_verifyChanges
ValueID | m_id

## Detailed Description

Schedule sent to/received from a node.

## Constructor & Destructor Documentation

## ◆ ValueSchedule() [1/2]

ValueSchedule::ValueSchedule | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | ValueID::ValueGenre const | _genre,
|  | uint8 const | _commandClassId,
|  | uint8 const | _instance,
|  | uint16 const | _index,
|  | string const & | _label,
|  | string const & | _units,
|  | bool const | _readOnly,
|  | bool const | _writeOnly,
|  | uint8 const | _pollIntensity
| ) |  |

## ◆ ValueSchedule() [2/2]

ValueSchedule::ValueSchedule | ( |  | ) |

## ◆ ~ValueSchedule()

virtual OpenZWave::ValueSchedule::~ValueSchedule | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ ClearSwitchPoints()

void OpenZWave::ValueSchedule::ClearSwitchPoints | ( |  | ) |
| inline

## ◆ FindSwitchPoint()

bool ValueSchedule::FindSwitchPoint | ( | uint8 const | _hours,
|  | uint8 const | _minutes,
|  | uint8 * | o_idx
| ) |  | const

## ◆ GetAsString()

string const ValueSchedule::GetAsString | ( |  | ) | const
| virtual

Reimplemented from OpenZWave::Value.

## ◆ GetNumSwitchPoints()

uint8 OpenZWave::ValueSchedule::GetNumSwitchPoints | ( |  | ) | const
| inline

## ◆ GetSwitchPoint()

bool ValueSchedule::GetSwitchPoint | ( | uint8 const | _idx,
|  | uint8 * | o_hours,
|  | uint8 * | o_minutes,
|  | int8 * | o_setback
| ) |  | const

## ◆ OnValueRefreshed()

void ValueSchedule::OnValueRefreshed | ( |  | ) |

## ◆ ReadXML()

void ValueSchedule::ReadXML | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | uint8 const | _commandClassId,
|  | TiXmlElement const * | _valueElement
| ) |  |
| virtual

Reimplemented from OpenZWave::Value.

## ◆ RemoveSwitchPoint()

bool ValueSchedule::RemoveSwitchPoint | ( | uint8 const | _idx | ) |

## ◆ Set()

bool ValueSchedule::Set | ( |  | ) |

## ◆ SetSwitchPoint()

bool ValueSchedule::SetSwitchPoint | ( | uint8 const | _hours,
|  | uint8 const | _minutes,
|  | int8 const | _setback
| ) |  |

## ◆ WriteXML()

void ValueSchedule::WriteXML | ( | TiXmlElement * | _valueElement | ) |
| virtual

Reimplemented from OpenZWave::Value.

The documentation for this class was generated from the following files:

- ValueSchedule.h
- ValueSchedule.cpp